QGIS Application - Bug report #10449
legend for raster layers expanded by default
2014-06-04 01:21 AM - Nyall Dawson

Status: Closed

Priority: Normal

Assignee: Martin Dobias

Category: Map Legend

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 18861
Description

Since the merge of the legend refactoring raster layers added to the map have their legend expanded by default. This is a change from
2.2, where they were not expanded initially. | personally think the previous behavior was preferred, as rasters with a large number of
palettes colors end up taking up a huge amount of space in the legend.

Associated revisions

Revision eb6a45c4 - 2014-06-17 09:57 AM - Martin Dobias

[layertree] Fix #10449 (auto-collapse layer if symbology has >= 10 items)

History

#1 - 2014-06-04 02:08 AM - Martin Dobias

Rather than having the collapsed layer nodes just for paletted raster layer, maybe it makes sense to have a threshold (number of symbology items - e.g.
25) when the node would be collapsed? So it would work also for vector layers if the number of categories / ranges / rules gets too high.

What do you think?

#2 - 2014-06-04 02:15 AM - Nyall Dawson

Good idea. This also means rasters with a small number of graduated classes would get expanded, which is a nice touch. I'd suggest a smaller threshold

though, maybe 10?

#3 - 2014-06-17 12:59 AM - Martin Dobias
- Status changed from Open to Closed

Fixed in changeset commit:"eb6a45c454fd9868916a648bd4al154ae25be21b6".
